sim: bfin: move pkg-config & SDL checks to common code
[binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/gettext-sister.m4 \
200 $(top_srcdir)/../config/lead-dot.m4 \
201 $(top_srcdir)/../config/override.m4 \
202 $(top_srcdir)/../config/pkg.m4 \
203 $(top_srcdir)/../config/plugins.m4 \
204 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
205 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
206 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
207 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
208 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
209 $(top_srcdir)/m4/sim_ac_option_cgen_maint.m4 \
210 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
211 $(top_srcdir)/m4/sim_ac_option_endian.m4 \
212 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
213 $(top_srcdir)/m4/sim_ac_option_hardware.m4 \
214 $(top_srcdir)/m4/sim_ac_option_inline.m4 \
215 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
216 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
217 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
218 $(top_srcdir)/m4/sim_ac_option_warnings.m4 \
219 $(top_srcdir)/m4/sim_ac_platform.m4 \
220 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
221 $(top_srcdir)/rx/acinclude.m4 $(top_srcdir)/configure.ac
222 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
223 $(ACLOCAL_M4)
224 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
225 $(am__configure_deps) $(pkginclude_HEADERS)
226 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
227 configure.lineno config.status.lineno
228 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
229 CONFIG_HEADER = config.h
230 CONFIG_CLEAN_FILES = Make-common.sim aarch64/Makefile.sim \
231 arm/Makefile.sim avr/Makefile.sim cr16/Makefile.sim \
232 d10v/Makefile.sim ft32/Makefile.sim h8300/Makefile.sim \
233 m32c/Makefile.sim m68hc11/Makefile.sim mcore/Makefile.sim \
234 microblaze/Makefile.sim moxie/Makefile.sim msp430/Makefile.sim \
235 pru/Makefile.sim rl78/Makefile.sim rx/Makefile.sim \
236 sh/Makefile.sim example-synacor/Makefile.sim arch-subdir.mk
237 CONFIG_CLEAN_VPATH_FILES =
238 LIBRARIES = $(noinst_LIBRARIES)
239 ARFLAGS = cru
240 AM_V_AR = $(am__v_AR_@AM_V@)
241 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
242 am__v_AR_0 = @echo " AR " $@;
243 am__v_AR_1 =
244 common_libcommon_a_AR = $(AR) $(ARFLAGS)
245 common_libcommon_a_LIBADD =
246 am__dirstamp = $(am__leading_dot)dirstamp
247 am_common_libcommon_a_OBJECTS = \
248 common/common_libcommon_a-portability.$(OBJEXT) \
249 common/common_libcommon_a-sim-load.$(OBJEXT) \
250 common/common_libcommon_a-version.$(OBJEXT)
251 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
252 igen_libigen_a_AR = $(AR) $(ARFLAGS)
253 igen_libigen_a_LIBADD =
254 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
255 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
256 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
257 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
258 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
259 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
260 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
261 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
262 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
263 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
264 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
265 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
266 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
267 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
268 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
269 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
270 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
271 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
272 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
273 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
274 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
275 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
276 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
277 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
278 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
279 testsuite/common/bits32m31$(EXEEXT) \
280 testsuite/common/bits64m0$(EXEEXT) \
281 testsuite/common/bits64m63$(EXEEXT) \
282 testsuite/common/alu-tst$(EXEEXT)
283 am_igen_filter_OBJECTS =
284 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
285 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
286 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
287 AM_V_lt = $(am__v_lt_@AM_V@)
288 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
289 am__v_lt_0 = --silent
290 am__v_lt_1 =
291 am_igen_gen_OBJECTS =
292 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
293 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
294 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
295 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
296 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
297 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
298 am_igen_ld_cache_OBJECTS =
299 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
300 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
301 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
302 am_igen_ld_decode_OBJECTS =
303 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
304 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
305 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
306 am_igen_ld_insn_OBJECTS =
307 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
308 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
309 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
310 am_igen_table_OBJECTS =
311 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
312 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
313 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
314 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
315 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
316 testsuite_common_alu_tst_LDADD = $(LDADD)
317 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
318 testsuite_common_bits_gen_OBJECTS = \
319 testsuite/common/bits-gen.$(OBJEXT)
320 testsuite_common_bits_gen_LDADD = $(LDADD)
321 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
322 testsuite_common_bits32m0_OBJECTS = \
323 testsuite/common/bits32m0.$(OBJEXT)
324 testsuite_common_bits32m0_LDADD = $(LDADD)
325 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
326 testsuite_common_bits32m31_OBJECTS = \
327 testsuite/common/bits32m31.$(OBJEXT)
328 testsuite_common_bits32m31_LDADD = $(LDADD)
329 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
330 testsuite_common_bits64m0_OBJECTS = \
331 testsuite/common/bits64m0.$(OBJEXT)
332 testsuite_common_bits64m0_LDADD = $(LDADD)
333 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
334 testsuite_common_bits64m63_OBJECTS = \
335 testsuite/common/bits64m63.$(OBJEXT)
336 testsuite_common_bits64m63_LDADD = $(LDADD)
337 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
338 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
339 testsuite_common_fpu_tst_LDADD = $(LDADD)
340 AM_V_P = $(am__v_P_@AM_V@)
341 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
342 am__v_P_0 = false
343 am__v_P_1 = :
344 AM_V_GEN = $(am__v_GEN_@AM_V@)
345 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
346 am__v_GEN_0 = @echo " GEN " $@;
347 am__v_GEN_1 =
348 AM_V_at = $(am__v_at_@AM_V@)
349 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
350 am__v_at_0 = @
351 am__v_at_1 =
352 DEFAULT_INCLUDES = -I.@am__isrc@
353 depcomp = $(SHELL) $(top_srcdir)/../depcomp
354 am__depfiles_maybe = depfiles
355 am__mv = mv -f
356 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
357 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
358 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
359 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
360 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
361 $(AM_CFLAGS) $(CFLAGS)
362 AM_V_CC = $(am__v_CC_@AM_V@)
363 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
364 am__v_CC_0 = @echo " CC " $@;
365 am__v_CC_1 =
366 CCLD = $(CC)
367 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
368 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
369 $(AM_LDFLAGS) $(LDFLAGS) -o $@
370 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
371 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
372 am__v_CCLD_0 = @echo " CCLD " $@;
373 am__v_CCLD_1 =
374 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
375 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
376 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
377 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
378 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
379 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
380 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
381 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
382 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
383 ctags-recursive dvi-recursive html-recursive info-recursive \
384 install-data-recursive install-dvi-recursive \
385 install-exec-recursive install-html-recursive \
386 install-info-recursive install-pdf-recursive \
387 install-ps-recursive install-recursive installcheck-recursive \
388 installdirs-recursive pdf-recursive ps-recursive \
389 tags-recursive uninstall-recursive
390 am__can_run_installinfo = \
391 case $$AM_UPDATE_INFO_DIR in \
392 n|no|NO) false;; \
393 *) (install-info --version) >/dev/null 2>&1;; \
394 esac
395 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
396 am__vpath_adj = case $$p in \
397 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
398 *) f=$$p;; \
399 esac;
400 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
401 am__install_max = 40
402 am__nobase_strip_setup = \
403 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
404 am__nobase_strip = \
405 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
406 am__nobase_list = $(am__nobase_strip_setup); \
407 for p in $$list; do echo "$$p $$p"; done | \
408 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
409 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
410 if (++n[$$2] == $(am__install_max)) \
411 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
412 END { for (dir in files) print dir, files[dir] }'
413 am__base_list = \
414 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
415 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
416 am__uninstall_files_from_dir = { \
417 test -z "$$files" \
418 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
419 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
420 $(am__cd) "$$dir" && rm -f $$files; }; \
421 }
422 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
423 HEADERS = $(pkginclude_HEADERS)
424 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
425 distclean-recursive maintainer-clean-recursive
426 am__recursive_targets = \
427 $(RECURSIVE_TARGETS) \
428 $(RECURSIVE_CLEAN_TARGETS) \
429 $(am__extra_recursive_targets)
430 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
431 cscope check recheck
432 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
433 $(LISP)config.h.in
434 # Read a list of newline-separated strings from the standard input,
435 # and print each of them once, without duplicates. Input order is
436 # *not* preserved.
437 am__uniquify_input = $(AWK) '\
438 BEGIN { nonempty = 0; } \
439 { items[$$0] = 1; nonempty = 1; } \
440 END { if (nonempty) { for (i in items) print i; }; } \
441 '
442 # Make sure the list of sources is unique. This is necessary because,
443 # e.g., the same source file might be shared among _SOURCES variables
444 # for different programs/libraries.
445 am__define_uniq_tagged_files = \
446 list='$(am__tagged_files)'; \
447 unique=`for i in $$list; do \
448 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
449 done | $(am__uniquify_input)`
450 ETAGS = etags
451 CTAGS = ctags
452 CSCOPE = cscope
453 DEJATOOL = $(PACKAGE)
454 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
455 EXPECT = expect
456 RUNTEST = runtest
457 am__tty_colors_dummy = \
458 mgn= red= grn= lgn= blu= brg= std=; \
459 am__color_tests=no
460 am__tty_colors = { \
461 $(am__tty_colors_dummy); \
462 if test "X$(AM_COLOR_TESTS)" = Xno; then \
463 am__color_tests=no; \
464 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
465 am__color_tests=yes; \
466 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
467 am__color_tests=yes; \
468 fi; \
469 if test $$am__color_tests = yes; then \
470 red='\e[0;31m'; \
471 grn='\e[0;32m'; \
472 lgn='\e[1;32m'; \
473 blu='\e[1;34m'; \
474 mgn='\e[0;35m'; \
475 brg='\e[1m'; \
476 std='\e[m'; \
477 fi; \
478 }
479 am__recheck_rx = ^[ ]*:recheck:[ ]*
480 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
481 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
482 # A command that, given a newline-separated list of test names on the
483 # standard input, print the name of the tests that are to be re-run
484 # upon "make recheck".
485 am__list_recheck_tests = $(AWK) '{ \
486 recheck = 1; \
487 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
488 { \
489 if (rc < 0) \
490 { \
491 if ((getline line2 < ($$0 ".log")) < 0) \
492 recheck = 0; \
493 break; \
494 } \
495 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
496 { \
497 recheck = 0; \
498 break; \
499 } \
500 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
501 { \
502 break; \
503 } \
504 }; \
505 if (recheck) \
506 print $$0; \
507 close ($$0 ".trs"); \
508 close ($$0 ".log"); \
509 }'
510 # A command that, given a newline-separated list of test names on the
511 # standard input, create the global log from their .trs and .log files.
512 am__create_global_log = $(AWK) ' \
513 function fatal(msg) \
514 { \
515 print "fatal: making $@: " msg | "cat >&2"; \
516 exit 1; \
517 } \
518 function rst_section(header) \
519 { \
520 print header; \
521 len = length(header); \
522 for (i = 1; i <= len; i = i + 1) \
523 printf "="; \
524 printf "\n\n"; \
525 } \
526 { \
527 copy_in_global_log = 1; \
528 global_test_result = "RUN"; \
529 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
530 { \
531 if (rc < 0) \
532 fatal("failed to read from " $$0 ".trs"); \
533 if (line ~ /$(am__global_test_result_rx)/) \
534 { \
535 sub("$(am__global_test_result_rx)", "", line); \
536 sub("[ ]*$$", "", line); \
537 global_test_result = line; \
538 } \
539 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
540 copy_in_global_log = 0; \
541 }; \
542 if (copy_in_global_log) \
543 { \
544 rst_section(global_test_result ": " $$0); \
545 while ((rc = (getline line < ($$0 ".log"))) != 0) \
546 { \
547 if (rc < 0) \
548 fatal("failed to read from " $$0 ".log"); \
549 print line; \
550 }; \
551 printf "\n"; \
552 }; \
553 close ($$0 ".trs"); \
554 close ($$0 ".log"); \
555 }'
556 # Restructured Text title.
557 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
558 # Solaris 10 'make', and several other traditional 'make' implementations,
559 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
560 # by disabling -e (using the XSI extension "set +e") if it's set.
561 am__sh_e_setup = case $$- in *e*) set +e;; esac
562 # Default flags passed to test drivers.
563 am__common_driver_flags = \
564 --color-tests "$$am__color_tests" \
565 --enable-hard-errors "$$am__enable_hard_errors" \
566 --expect-failure "$$am__expect_failure"
567 # To be inserted before the command running the test. Creates the
568 # directory for the log if needed. Stores in $dir the directory
569 # containing $f, in $tst the test, in $log the log. Executes the
570 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
571 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
572 # will run the test scripts (or their associated LOG_COMPILER, if
573 # thy have one).
574 am__check_pre = \
575 $(am__sh_e_setup); \
576 $(am__vpath_adj_setup) $(am__vpath_adj) \
577 $(am__tty_colors); \
578 srcdir=$(srcdir); export srcdir; \
579 case "$@" in \
580 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
581 *) am__odir=.;; \
582 esac; \
583 test "x$$am__odir" = x"." || test -d "$$am__odir" \
584 || $(MKDIR_P) "$$am__odir" || exit $$?; \
585 if test -f "./$$f"; then dir=./; \
586 elif test -f "$$f"; then dir=; \
587 else dir="$(srcdir)/"; fi; \
588 tst=$$dir$$f; log='$@'; \
589 if test -n '$(DISABLE_HARD_ERRORS)'; then \
590 am__enable_hard_errors=no; \
591 else \
592 am__enable_hard_errors=yes; \
593 fi; \
594 case " $(XFAIL_TESTS) " in \
595 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
596 am__expect_failure=yes;; \
597 *) \
598 am__expect_failure=no;; \
599 esac; \
600 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
601 # A shell command to get the names of the tests scripts with any registered
602 # extension removed (i.e., equivalently, the names of the test logs, with
603 # the '.log' extension removed). The result is saved in the shell variable
604 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
605 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
606 # since that might cause problem with VPATH rewrites for suffix-less tests.
607 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
608 am__set_TESTS_bases = \
609 bases='$(TEST_LOGS)'; \
610 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
611 bases=`echo $$bases`
612 RECHECK_LOGS = $(TEST_LOGS)
613 TEST_SUITE_LOG = test-suite.log
614 TEST_EXTENSIONS = @EXEEXT@ .test
615 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
616 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
617 am__set_b = \
618 case '$@' in \
619 */*) \
620 case '$*' in \
621 */*) b='$*';; \
622 *) b=`echo '$@' | sed 's/\.log$$//'`; \
623 esac;; \
624 *) \
625 b='$*';; \
626 esac
627 am__test_logs1 = $(TESTS:=.log)
628 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
629 TEST_LOGS = $(am__test_logs2:.test.log=.log)
630 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
631 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
632 $(TEST_LOG_FLAGS)
633 DIST_SUBDIRS = $(SUBDIRS)
634 ACLOCAL = @ACLOCAL@
635 AMTAR = @AMTAR@
636 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
637 AR = @AR@
638 AR_FOR_BUILD = @AR_FOR_BUILD@
639 AUTOCONF = @AUTOCONF@
640 AUTOHEADER = @AUTOHEADER@
641 AUTOMAKE = @AUTOMAKE@
642 AWK = @AWK@
643 CATALOGS = @CATALOGS@
644 CATOBJEXT = @CATOBJEXT@
645 CC = @CC@
646 CCDEPMODE = @CCDEPMODE@
647 CC_FOR_BUILD = @CC_FOR_BUILD@
648 CFLAGS = @CFLAGS@
649 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
650 CGEN_MAINT = @CGEN_MAINT@
651 CPP = @CPP@
652 CPPFLAGS = @CPPFLAGS@
653 CYGPATH_W = @CYGPATH_W@
654 C_DIALECT = @C_DIALECT@
655 DATADIRNAME = @DATADIRNAME@
656 DEFS = @DEFS@
657 DEPDIR = @DEPDIR@
658 DSYMUTIL = @DSYMUTIL@
659 DTC = @DTC@
660 DUMPBIN = @DUMPBIN@
661 ECHO_C = @ECHO_C@
662 ECHO_N = @ECHO_N@
663 ECHO_T = @ECHO_T@
664 EGREP = @EGREP@
665 EXEEXT = @EXEEXT@
666 FGREP = @FGREP@
667 GENCAT = @GENCAT@
668 GMSGFMT = @GMSGFMT@
669 GREP = @GREP@
670 INCINTL = @INCINTL@
671 INSTALL = @INSTALL@
672 INSTALL_DATA = @INSTALL_DATA@
673 INSTALL_PROGRAM = @INSTALL_PROGRAM@
674 INSTALL_SCRIPT = @INSTALL_SCRIPT@
675 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
676 INSTOBJEXT = @INSTOBJEXT@
677 LD = @LD@
678 LDFLAGS = @LDFLAGS@
679 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
680 LIBINTL = @LIBINTL@
681 LIBINTL_DEP = @LIBINTL_DEP@
682 LIBOBJS = @LIBOBJS@
683 LIBS = @LIBS@
684 LIBTOOL = @LIBTOOL@
685 LIPO = @LIPO@
686 LN_S = @LN_S@
687 LTLIBOBJS = @LTLIBOBJS@
688 MAINT = @MAINT@
689 MAKEINFO = @MAKEINFO@
690 MKDIR_P = @MKDIR_P@
691 NM = @NM@
692 NMEDIT = @NMEDIT@
693 OBJDUMP = @OBJDUMP@
694 OBJEXT = @OBJEXT@
695 OTOOL = @OTOOL@
696 OTOOL64 = @OTOOL64@
697 PACKAGE = @PACKAGE@
698 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
699 PACKAGE_NAME = @PACKAGE_NAME@
700 PACKAGE_STRING = @PACKAGE_STRING@
701 PACKAGE_TARNAME = @PACKAGE_TARNAME@
702 PACKAGE_URL = @PACKAGE_URL@
703 PACKAGE_VERSION = @PACKAGE_VERSION@
704 PATH_SEPARATOR = @PATH_SEPARATOR@
705 PKGVERSION = @PKGVERSION@
706 PKG_CONFIG = @PKG_CONFIG@
707 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
708 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
709 POSUB = @POSUB@
710 RANLIB = @RANLIB@
711 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
712 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
713 REPORT_BUGS_TO = @REPORT_BUGS_TO@
714 SDL_CFLAGS = @SDL_CFLAGS@
715 SDL_LIBS = @SDL_LIBS@
716 SED = @SED@
717 SET_MAKE = @SET_MAKE@
718 SHELL = @SHELL@
719 SIM_COMMON_BUILD_FALSE = @SIM_COMMON_BUILD_FALSE@
720 SIM_COMMON_BUILD_TRUE = @SIM_COMMON_BUILD_TRUE@
721 SIM_INLINE = @SIM_INLINE@
722 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
723 SIM_RX_CYCLE_ACCURATE_FLAGS = @SIM_RX_CYCLE_ACCURATE_FLAGS@
724 SIM_SUBDIRS = @SIM_SUBDIRS@
725 STRIP = @STRIP@
726 USE_NLS = @USE_NLS@
727 VERSION = @VERSION@
728 WARN_CFLAGS = @WARN_CFLAGS@
729 WERROR_CFLAGS = @WERROR_CFLAGS@
730 XGETTEXT = @XGETTEXT@
731 abs_builddir = @abs_builddir@
732 abs_srcdir = @abs_srcdir@
733 abs_top_builddir = @abs_top_builddir@
734 abs_top_srcdir = @abs_top_srcdir@
735 ac_ct_CC = @ac_ct_CC@
736 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
737 am__include = @am__include@
738 am__leading_dot = @am__leading_dot@
739 am__quote = @am__quote@
740 am__tar = @am__tar@
741 am__untar = @am__untar@
742 bindir = @bindir@
743 build = @build@
744 build_alias = @build_alias@
745 build_cpu = @build_cpu@
746 build_os = @build_os@
747 build_vendor = @build_vendor@
748 builddir = @builddir@
749 cgen = @cgen@
750 cgendir = @cgendir@
751 datadir = @datadir@
752 datarootdir = @datarootdir@
753 docdir = @docdir@
754 dvidir = @dvidir@
755 exec_prefix = @exec_prefix@
756 host = @host@
757 host_alias = @host_alias@
758 host_cpu = @host_cpu@
759 host_os = @host_os@
760 host_vendor = @host_vendor@
761 htmldir = @htmldir@
762 includedir = @includedir@
763 infodir = @infodir@
764 install_sh = @install_sh@
765 libdir = @libdir@
766 libexecdir = @libexecdir@
767 localedir = @localedir@
768 localstatedir = @localstatedir@
769 lt_cv_dlopen_libs = @lt_cv_dlopen_libs@
770 mandir = @mandir@
771 mkdir_p = @mkdir_p@
772 oldincludedir = @oldincludedir@
773 pdfdir = @pdfdir@
774 prefix = @prefix@
775 program_transform_name = @program_transform_name@
776 psdir = @psdir@
777 sbindir = @sbindir@
778 sharedstatedir = @sharedstatedir@
779 sim_bitsize = @sim_bitsize@
780 sim_default_model = @sim_default_model@
781 sim_float = @sim_float@
782 sim_hw_cflags = @sim_hw_cflags@
783 sim_hw_sockser = @sim_hw_sockser@
784 sim_reserved_bits = @sim_reserved_bits@
785 sim_scache = @sim_scache@
786 srcdir = @srcdir@
787 subdirs = @subdirs@
788 sysconfdir = @sysconfdir@
789 target = @target@
790 target_alias = @target_alias@
791 target_cpu = @target_cpu@
792 target_os = @target_os@
793 target_vendor = @target_vendor@
794 top_build_prefix = @top_build_prefix@
795 top_builddir = @top_builddir@
796 top_srcdir = @top_srcdir@
797 zlibdir = @zlibdir@
798 zlibinc = @zlibinc@
799 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
800 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
801 srcroot = $(srcdir)/..
802 SUBDIRS = @subdirs@ $(SIM_SUBDIRS)
803 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
804
805 # NB: libcommon.a isn't used directly by ports. We need a target for common
806 # objects to be a part of, and ports use the individual objects directly.
807 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
808 CLEANFILES = common/version.c common/version.c-stamp \
809 testsuite/common/bits-gen testsuite/common/bits32m0.c \
810 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
811 testsuite/common/bits64m63.c
812 DISTCLEANFILES =
813 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
814 testrun.sum
815 AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS)
816 AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common
817 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
818 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
819
820 # Deps to add to the all-recursive target. These are built before descending
821 # into any subdirs.
822
823 # This makes sure common parts are available before building the arch-subdirs
824 # which will refer to these.
825 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
826 pkginclude_HEADERS = \
827 $(srcroot)/include/sim/callback.h \
828 $(srcroot)/include/sim/sim.h
829
830 common_libcommon_a_CPPFLAGS = \
831 $(AM_CPPFLAGS) \
832 -DSIM_COMMON_BUILD \
833 -I../bfd \
834 -I..
835
836 common_libcommon_a_SOURCES = \
837 common/portability.c \
838 common/sim-load.c \
839 common/version.c
840
841 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
842 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
843 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
844 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
845 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
846 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
847 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
848 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
849 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
850 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
851 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
852 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
853 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
854 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
855 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
856 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
857 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
858
859 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
860 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
861 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
862 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
863 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
864 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
865 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
866 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
867 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
868 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
869 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
870 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
871 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
872 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
873 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
874 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
875 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
876 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
877 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
878 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
879 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
880 @SIM_ENABLE_IGEN_TRUE@ igen/table
881
882
883 # Tweak the site.exp so it works with plain `runtest` from user.
884 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
885 testsuite_common_CPPFLAGS = \
886 -I$(srcdir)/common \
887 -I$(srcroot)/include \
888 -I../bfd
889
890 all: config.h
891 $(MAKE) $(AM_MAKEFLAGS) all-recursive
892
893 .SUFFIXES:
894 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
895 am--refresh: Makefile
896 @:
897 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
898 @for dep in $?; do \
899 case '$(am__configure_deps)' in \
900 *$$dep*) \
901 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
902 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
903 && exit 0; \
904 exit 1;; \
905 esac; \
906 done; \
907 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
908 $(am__cd) $(top_srcdir) && \
909 $(AUTOMAKE) --foreign Makefile
910 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
911 @case '$?' in \
912 *config.status*) \
913 echo ' $(SHELL) ./config.status'; \
914 $(SHELL) ./config.status;; \
915 *) \
916 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
917 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
918 esac;
919 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
920
921 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
922 $(SHELL) ./config.status --recheck
923
924 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
925 $(am__cd) $(srcdir) && $(AUTOCONF)
926 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
927 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
928 $(am__aclocal_m4_deps):
929
930 config.h: stamp-h1
931 @test -f $@ || rm -f stamp-h1
932 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
933
934 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
935 @rm -f stamp-h1
936 cd $(top_builddir) && $(SHELL) ./config.status config.h
937 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
938 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
939 rm -f stamp-h1
940 touch $@
941
942 distclean-hdr:
943 -rm -f config.h stamp-h1
944 Make-common.sim: $(top_builddir)/config.status $(top_srcdir)/common/Make-common.in
945 cd $(top_builddir) && $(SHELL) ./config.status $@
946 aarch64/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/aarch64/Makefile.in
947 cd $(top_builddir) && $(SHELL) ./config.status $@
948 arm/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/arm/Makefile.in
949 cd $(top_builddir) && $(SHELL) ./config.status $@
950 avr/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/avr/Makefile.in
951 cd $(top_builddir) && $(SHELL) ./config.status $@
952 cr16/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cr16/Makefile.in
953 cd $(top_builddir) && $(SHELL) ./config.status $@
954 d10v/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/d10v/Makefile.in
955 cd $(top_builddir) && $(SHELL) ./config.status $@
956 ft32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/ft32/Makefile.in
957 cd $(top_builddir) && $(SHELL) ./config.status $@
958 h8300/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/h8300/Makefile.in
959 cd $(top_builddir) && $(SHELL) ./config.status $@
960 m32c/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32c/Makefile.in
961 cd $(top_builddir) && $(SHELL) ./config.status $@
962 m68hc11/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m68hc11/Makefile.in
963 cd $(top_builddir) && $(SHELL) ./config.status $@
964 mcore/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/mcore/Makefile.in
965 cd $(top_builddir) && $(SHELL) ./config.status $@
966 microblaze/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/microblaze/Makefile.in
967 cd $(top_builddir) && $(SHELL) ./config.status $@
968 moxie/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/moxie/Makefile.in
969 cd $(top_builddir) && $(SHELL) ./config.status $@
970 msp430/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/msp430/Makefile.in
971 cd $(top_builddir) && $(SHELL) ./config.status $@
972 pru/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/pru/Makefile.in
973 cd $(top_builddir) && $(SHELL) ./config.status $@
974 rl78/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rl78/Makefile.in
975 cd $(top_builddir) && $(SHELL) ./config.status $@
976 rx/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rx/Makefile.in
977 cd $(top_builddir) && $(SHELL) ./config.status $@
978 sh/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/sh/Makefile.in
979 cd $(top_builddir) && $(SHELL) ./config.status $@
980 example-synacor/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/example-synacor/Makefile.in
981 cd $(top_builddir) && $(SHELL) ./config.status $@
982 arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in
983 cd $(top_builddir) && $(SHELL) ./config.status $@
984
985 clean-noinstLIBRARIES:
986 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
987 common/$(am__dirstamp):
988 @$(MKDIR_P) common
989 @: > common/$(am__dirstamp)
990 common/$(DEPDIR)/$(am__dirstamp):
991 @$(MKDIR_P) common/$(DEPDIR)
992 @: > common/$(DEPDIR)/$(am__dirstamp)
993 common/common_libcommon_a-portability.$(OBJEXT): \
994 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
995 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
996 common/$(DEPDIR)/$(am__dirstamp)
997 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
998 common/$(DEPDIR)/$(am__dirstamp)
999
1000 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
1001 $(AM_V_at)-rm -f common/libcommon.a
1002 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
1003 $(AM_V_at)$(RANLIB) common/libcommon.a
1004 igen/$(am__dirstamp):
1005 @$(MKDIR_P) igen
1006 @: > igen/$(am__dirstamp)
1007 igen/$(DEPDIR)/$(am__dirstamp):
1008 @$(MKDIR_P) igen/$(DEPDIR)
1009 @: > igen/$(DEPDIR)/$(am__dirstamp)
1010 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
1011 igen/$(DEPDIR)/$(am__dirstamp)
1012 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
1013 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
1014 igen/$(DEPDIR)/$(am__dirstamp)
1015 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
1016 igen/$(DEPDIR)/$(am__dirstamp)
1017 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
1018 igen/$(DEPDIR)/$(am__dirstamp)
1019 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
1020 igen/$(DEPDIR)/$(am__dirstamp)
1021 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
1022 igen/$(DEPDIR)/$(am__dirstamp)
1023 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
1024 igen/$(DEPDIR)/$(am__dirstamp)
1025 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
1026 igen/$(DEPDIR)/$(am__dirstamp)
1027 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
1028 igen/$(DEPDIR)/$(am__dirstamp)
1029 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
1030 igen/$(DEPDIR)/$(am__dirstamp)
1031 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
1032 igen/$(DEPDIR)/$(am__dirstamp)
1033 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
1034 igen/$(DEPDIR)/$(am__dirstamp)
1035 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
1036 igen/$(DEPDIR)/$(am__dirstamp)
1037 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
1038 igen/$(DEPDIR)/$(am__dirstamp)
1039 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
1040 igen/$(DEPDIR)/$(am__dirstamp)
1041
1042 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1043 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
1044 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1045 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
1046
1047 clean-checkPROGRAMS:
1048 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
1049 echo " rm -f" $$list; \
1050 rm -f $$list || exit $$?; \
1051 test -n "$(EXEEXT)" || exit 0; \
1052 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1053 echo " rm -f" $$list; \
1054 rm -f $$list
1055
1056 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
1057 @rm -f igen/filter$(EXEEXT)
1058 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
1059
1060 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
1061 @rm -f igen/gen$(EXEEXT)
1062 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
1063 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
1064 igen/$(DEPDIR)/$(am__dirstamp)
1065
1066 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1067 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
1068 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
1069
1070 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
1071 @rm -f igen/ld-cache$(EXEEXT)
1072 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
1073
1074 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
1075 @rm -f igen/ld-decode$(EXEEXT)
1076 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
1077
1078 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
1079 @rm -f igen/ld-insn$(EXEEXT)
1080 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
1081
1082 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
1083 @rm -f igen/table$(EXEEXT)
1084 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
1085 testsuite/common/$(am__dirstamp):
1086 @$(MKDIR_P) testsuite/common
1087 @: > testsuite/common/$(am__dirstamp)
1088 testsuite/common/$(DEPDIR)/$(am__dirstamp):
1089 @$(MKDIR_P) testsuite/common/$(DEPDIR)
1090 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
1091 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1092 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1093 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1094 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1095 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1096 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1097 testsuite/common/bits32m31.$(OBJEXT): \
1098 testsuite/common/$(am__dirstamp) \
1099 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1100 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1101 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1102 testsuite/common/bits64m63.$(OBJEXT): \
1103 testsuite/common/$(am__dirstamp) \
1104 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1105 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1106 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1107
1108 mostlyclean-compile:
1109 -rm -f *.$(OBJEXT)
1110 -rm -f common/*.$(OBJEXT)
1111 -rm -f igen/*.$(OBJEXT)
1112 -rm -f testsuite/common/*.$(OBJEXT)
1113
1114 distclean-compile:
1115 -rm -f *.tab.c
1116
1117 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
1118 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
1119 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
1120 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
1121 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1122 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1123 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1124 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1125 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1126 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1127 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1128 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1129 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1130 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1131 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1132 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1133 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1134 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1135 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1136 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1137 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1138 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1139 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1140 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1141 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1142 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1143 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1144
1145 .c.o:
1146 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1147 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1148 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1149 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1150 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1152
1153 .c.obj:
1154 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1155 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1156 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1157 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1158 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1159 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1160
1161 .c.lo:
1162 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1163 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1164 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1165 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1166 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1167 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1168
1169 common/common_libcommon_a-portability.o: common/portability.c
1170 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1171 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1172 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1173 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1174 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1175
1176 common/common_libcommon_a-portability.obj: common/portability.c
1177 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1178 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1179 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1180 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1181 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1182
1183 common/common_libcommon_a-sim-load.o: common/sim-load.c
1184 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1185 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1186 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1187 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1188 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1189
1190 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1191 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1192 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1193 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1194 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1195 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1196
1197 common/common_libcommon_a-version.o: common/version.c
1198 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1199 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1200 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1201 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1202 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1203
1204 common/common_libcommon_a-version.obj: common/version.c
1205 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1206 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1207 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1208 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1209 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1210
1211 mostlyclean-libtool:
1212 -rm -f *.lo
1213
1214 clean-libtool:
1215 -rm -rf .libs _libs
1216 -rm -rf igen/.libs igen/_libs
1217 -rm -rf testsuite/common/.libs testsuite/common/_libs
1218
1219 distclean-libtool:
1220 -rm -f libtool config.lt
1221 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1222 @$(NORMAL_INSTALL)
1223 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1224 if test -n "$$list"; then \
1225 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1226 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1227 fi; \
1228 for p in $$list; do \
1229 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1230 echo "$$d$$p"; \
1231 done | $(am__base_list) | \
1232 while read files; do \
1233 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1234 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1235 done
1236
1237 uninstall-pkgincludeHEADERS:
1238 @$(NORMAL_UNINSTALL)
1239 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1240 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1241 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1242
1243 # This directory's subdirectories are mostly independent; you can cd
1244 # into them and run 'make' without going through this Makefile.
1245 # To change the values of 'make' variables: instead of editing Makefiles,
1246 # (1) if the variable is set in 'config.status', edit 'config.status'
1247 # (which will cause the Makefiles to be regenerated when you run 'make');
1248 # (2) otherwise, pass the desired values on the 'make' command line.
1249 $(am__recursive_targets):
1250 @fail=; \
1251 if $(am__make_keepgoing); then \
1252 failcom='fail=yes'; \
1253 else \
1254 failcom='exit 1'; \
1255 fi; \
1256 dot_seen=no; \
1257 target=`echo $@ | sed s/-recursive//`; \
1258 case "$@" in \
1259 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1260 *) list='$(SUBDIRS)' ;; \
1261 esac; \
1262 for subdir in $$list; do \
1263 echo "Making $$target in $$subdir"; \
1264 if test "$$subdir" = "."; then \
1265 dot_seen=yes; \
1266 local_target="$$target-am"; \
1267 else \
1268 local_target="$$target"; \
1269 fi; \
1270 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1271 || eval $$failcom; \
1272 done; \
1273 if test "$$dot_seen" = "no"; then \
1274 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1275 fi; test -z "$$fail"
1276
1277 ID: $(am__tagged_files)
1278 $(am__define_uniq_tagged_files); mkid -fID $$unique
1279 tags: tags-recursive
1280 TAGS: tags
1281
1282 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1283 set x; \
1284 here=`pwd`; \
1285 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1286 include_option=--etags-include; \
1287 empty_fix=.; \
1288 else \
1289 include_option=--include; \
1290 empty_fix=; \
1291 fi; \
1292 list='$(SUBDIRS)'; for subdir in $$list; do \
1293 if test "$$subdir" = .; then :; else \
1294 test ! -f $$subdir/TAGS || \
1295 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1296 fi; \
1297 done; \
1298 $(am__define_uniq_tagged_files); \
1299 shift; \
1300 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1301 test -n "$$unique" || unique=$$empty_fix; \
1302 if test $$# -gt 0; then \
1303 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1304 "$$@" $$unique; \
1305 else \
1306 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1307 $$unique; \
1308 fi; \
1309 fi
1310 ctags: ctags-recursive
1311
1312 CTAGS: ctags
1313 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1314 $(am__define_uniq_tagged_files); \
1315 test -z "$(CTAGS_ARGS)$$unique" \
1316 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1317 $$unique
1318
1319 GTAGS:
1320 here=`$(am__cd) $(top_builddir) && pwd` \
1321 && $(am__cd) $(top_srcdir) \
1322 && gtags -i $(GTAGS_ARGS) "$$here"
1323 cscope: cscope.files
1324 test ! -s cscope.files \
1325 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1326 clean-cscope:
1327 -rm -f cscope.files
1328 cscope.files: clean-cscope cscopelist
1329 cscopelist: cscopelist-recursive
1330
1331 cscopelist-am: $(am__tagged_files)
1332 list='$(am__tagged_files)'; \
1333 case "$(srcdir)" in \
1334 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1335 *) sdir=$(subdir)/$(srcdir) ;; \
1336 esac; \
1337 for i in $$list; do \
1338 if test -f "$$i"; then \
1339 echo "$(subdir)/$$i"; \
1340 else \
1341 echo "$$sdir/$$i"; \
1342 fi; \
1343 done >> $(top_builddir)/cscope.files
1344
1345 distclean-tags:
1346 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1347 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1348 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1349 @echo 'Making a new site.exp file ...'
1350 @echo '## these variables are automatically generated by make ##' >site.tmp
1351 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1352 @echo '# edit the last section' >>site.tmp
1353 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1354 @echo "set objdir `pwd`" >>site.tmp
1355 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1356 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1357 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1358 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1359 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1360 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1361 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1362 echo "## Begin content included from file $$f. Do not modify. ##" \
1363 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1364 && echo "## End content included from file $$f. ##" \
1365 || exit 1; \
1366 done >> site.tmp
1367 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1368 @if test -f site.exp; then \
1369 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1370 fi
1371 @-rm -f site.bak
1372 @test ! -f site.exp || mv site.exp site.bak
1373 @mv site.tmp site.exp
1374
1375 distclean-DEJAGNU:
1376 -rm -f site.exp site.bak
1377 -l='$(DEJATOOL)'; for tool in $$l; do \
1378 rm -f $$tool.sum $$tool.log; \
1379 done
1380
1381 # Recover from deleted '.trs' file; this should ensure that
1382 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1383 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1384 # to avoid problems with "make -n".
1385 .log.trs:
1386 rm -f $< $@
1387 $(MAKE) $(AM_MAKEFLAGS) $<
1388
1389 # Leading 'am--fnord' is there to ensure the list of targets does not
1390 # expand to empty, as could happen e.g. with make check TESTS=''.
1391 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1392 am--force-recheck:
1393 @:
1394
1395 $(TEST_SUITE_LOG): $(TEST_LOGS)
1396 @$(am__set_TESTS_bases); \
1397 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1398 redo_bases=`for i in $$bases; do \
1399 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1400 done`; \
1401 if test -n "$$redo_bases"; then \
1402 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1403 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1404 if $(am__make_dryrun); then :; else \
1405 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1406 fi; \
1407 fi; \
1408 if test -n "$$am__remaking_logs"; then \
1409 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1410 "recursion detected" >&2; \
1411 elif test -n "$$redo_logs"; then \
1412 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1413 fi; \
1414 if $(am__make_dryrun); then :; else \
1415 st=0; \
1416 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1417 for i in $$redo_bases; do \
1418 test -f $$i.trs && test -r $$i.trs \
1419 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1420 test -f $$i.log && test -r $$i.log \
1421 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1422 done; \
1423 test $$st -eq 0 || exit 1; \
1424 fi
1425 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1426 ws='[ ]'; \
1427 results=`for b in $$bases; do echo $$b.trs; done`; \
1428 test -n "$$results" || results=/dev/null; \
1429 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1430 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1431 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1432 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1433 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1434 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1435 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1436 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1437 success=true; \
1438 else \
1439 success=false; \
1440 fi; \
1441 br='==================='; br=$$br$$br$$br$$br; \
1442 result_count () \
1443 { \
1444 if test x"$$1" = x"--maybe-color"; then \
1445 maybe_colorize=yes; \
1446 elif test x"$$1" = x"--no-color"; then \
1447 maybe_colorize=no; \
1448 else \
1449 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1450 fi; \
1451 shift; \
1452 desc=$$1 count=$$2; \
1453 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1454 color_start=$$3 color_end=$$std; \
1455 else \
1456 color_start= color_end=; \
1457 fi; \
1458 echo "$${color_start}# $$desc $$count$${color_end}"; \
1459 }; \
1460 create_testsuite_report () \
1461 { \
1462 result_count $$1 "TOTAL:" $$all "$$brg"; \
1463 result_count $$1 "PASS: " $$pass "$$grn"; \
1464 result_count $$1 "SKIP: " $$skip "$$blu"; \
1465 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1466 result_count $$1 "FAIL: " $$fail "$$red"; \
1467 result_count $$1 "XPASS:" $$xpass "$$red"; \
1468 result_count $$1 "ERROR:" $$error "$$mgn"; \
1469 }; \
1470 { \
1471 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1472 $(am__rst_title); \
1473 create_testsuite_report --no-color; \
1474 echo; \
1475 echo ".. contents:: :depth: 2"; \
1476 echo; \
1477 for b in $$bases; do echo $$b; done \
1478 | $(am__create_global_log); \
1479 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1480 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1481 if $$success; then \
1482 col="$$grn"; \
1483 else \
1484 col="$$red"; \
1485 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1486 fi; \
1487 echo "$${col}$$br$${std}"; \
1488 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1489 echo "$${col}$$br$${std}"; \
1490 create_testsuite_report --maybe-color; \
1491 echo "$$col$$br$$std"; \
1492 if $$success; then :; else \
1493 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1494 if test -n "$(PACKAGE_BUGREPORT)"; then \
1495 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1496 fi; \
1497 echo "$$col$$br$$std"; \
1498 fi; \
1499 $$success || exit 1
1500
1501 check-TESTS:
1502 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1503 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1504 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1505 @set +e; $(am__set_TESTS_bases); \
1506 log_list=`for i in $$bases; do echo $$i.log; done`; \
1507 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1508 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1509 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1510 exit $$?;
1511 recheck: all $(check_PROGRAMS)
1512 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1513 @set +e; $(am__set_TESTS_bases); \
1514 bases=`for i in $$bases; do echo $$i; done \
1515 | $(am__list_recheck_tests)` || exit 1; \
1516 log_list=`for i in $$bases; do echo $$i.log; done`; \
1517 log_list=`echo $$log_list`; \
1518 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1519 am__force_recheck=am--force-recheck \
1520 TEST_LOGS="$$log_list"; \
1521 exit $$?
1522 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1523 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1524 b='testsuite/common/bits32m0'; \
1525 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1526 --log-file $$b.log --trs-file $$b.trs \
1527 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1528 "$$tst" $(AM_TESTS_FD_REDIRECT)
1529 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1530 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1531 b='testsuite/common/bits32m31'; \
1532 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1533 --log-file $$b.log --trs-file $$b.trs \
1534 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1535 "$$tst" $(AM_TESTS_FD_REDIRECT)
1536 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1537 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1538 b='testsuite/common/bits64m0'; \
1539 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1540 --log-file $$b.log --trs-file $$b.trs \
1541 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1542 "$$tst" $(AM_TESTS_FD_REDIRECT)
1543 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1544 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1545 b='testsuite/common/bits64m63'; \
1546 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1547 --log-file $$b.log --trs-file $$b.trs \
1548 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1549 "$$tst" $(AM_TESTS_FD_REDIRECT)
1550 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1551 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1552 b='testsuite/common/alu-tst'; \
1553 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1554 --log-file $$b.log --trs-file $$b.trs \
1555 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1556 "$$tst" $(AM_TESTS_FD_REDIRECT)
1557 .test.log:
1558 @p='$<'; \
1559 $(am__set_b); \
1560 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1561 --log-file $$b.log --trs-file $$b.trs \
1562 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1563 "$$tst" $(AM_TESTS_FD_REDIRECT)
1564 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1565 @am__EXEEXT_TRUE@ @p='$<'; \
1566 @am__EXEEXT_TRUE@ $(am__set_b); \
1567 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1568 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1569 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1570 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1571 check-am: all-am
1572 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1573 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1574 check: check-recursive
1575 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1576 installdirs: installdirs-recursive
1577 installdirs-am:
1578 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1579 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1580 done
1581 install: install-recursive
1582 install-exec: install-exec-recursive
1583 install-data: install-data-recursive
1584 uninstall: uninstall-recursive
1585
1586 install-am: all-am
1587 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1588
1589 installcheck: installcheck-recursive
1590 install-strip:
1591 if test -z '$(STRIP)'; then \
1592 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1593 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1594 install; \
1595 else \
1596 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1597 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1598 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1599 fi
1600 mostlyclean-generic:
1601 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1602 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1603 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1604 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1605
1606 clean-generic:
1607 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1608
1609 distclean-generic:
1610 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1611 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1612 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1613 -rm -f common/$(am__dirstamp)
1614 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1615 -rm -f igen/$(am__dirstamp)
1616 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1617 -rm -f testsuite/common/$(am__dirstamp)
1618 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1619
1620 maintainer-clean-generic:
1621 @echo "This command is intended for maintainers to use"
1622 @echo "it deletes files that may require special tools to rebuild."
1623 clean: clean-recursive
1624
1625 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1626 clean-noinstLIBRARIES mostlyclean-am
1627
1628 distclean: distclean-recursive
1629 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1630 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1631 -rm -f Makefile
1632 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1633 distclean-generic distclean-hdr distclean-libtool \
1634 distclean-tags
1635
1636 dvi: dvi-recursive
1637
1638 dvi-am:
1639
1640 html: html-recursive
1641
1642 html-am:
1643
1644 info: info-recursive
1645
1646 info-am:
1647
1648 install-data-am: install-pkgincludeHEADERS
1649
1650 install-dvi: install-dvi-recursive
1651
1652 install-dvi-am:
1653
1654 install-exec-am:
1655
1656 install-html: install-html-recursive
1657
1658 install-html-am:
1659
1660 install-info: install-info-recursive
1661
1662 install-info-am:
1663
1664 install-man:
1665
1666 install-pdf: install-pdf-recursive
1667
1668 install-pdf-am:
1669
1670 install-ps: install-ps-recursive
1671
1672 install-ps-am:
1673
1674 installcheck-am:
1675
1676 maintainer-clean: maintainer-clean-recursive
1677 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1678 -rm -rf $(top_srcdir)/autom4te.cache
1679 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1680 -rm -f Makefile
1681 maintainer-clean-am: distclean-am maintainer-clean-generic
1682
1683 mostlyclean: mostlyclean-recursive
1684
1685 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1686 mostlyclean-libtool
1687
1688 pdf: pdf-recursive
1689
1690 pdf-am:
1691
1692 ps: ps-recursive
1693
1694 ps-am:
1695
1696 uninstall-am: uninstall-pkgincludeHEADERS
1697
1698 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1699
1700 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1701 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1702 clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \
1703 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1704 distclean distclean-DEJAGNU distclean-compile \
1705 distclean-generic distclean-hdr distclean-libtool \
1706 distclean-tags dvi dvi-am html html-am info info-am install \
1707 install-am install-data install-data-am install-dvi \
1708 install-dvi-am install-exec install-exec-am install-html \
1709 install-html-am install-info install-info-am install-man \
1710 install-pdf install-pdf-am install-pkgincludeHEADERS \
1711 install-ps install-ps-am install-strip installcheck \
1712 installcheck-am installdirs installdirs-am maintainer-clean \
1713 maintainer-clean-generic mostlyclean mostlyclean-compile \
1714 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1715 recheck tags tags-am uninstall uninstall-am \
1716 uninstall-pkgincludeHEADERS
1717
1718 .PRECIOUS: Makefile
1719
1720
1721 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1722 # This file is shipped with distributions so we build in the source dir.
1723 # Use `make nltvals' to rebuild.
1724 # Note: If gdb releases begin to contain target header files (not a good idea,
1725 # but if they did ...), nltvals.def coud be generated at build time.
1726 # An alternative is to slurp in the tables at runtime.
1727 .PHONY: nltvals
1728 nltvals:
1729 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1730 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1731
1732 common/version.c: common/version.c-stamp ; @true
1733 common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1734 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1735 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
1736 $(AM_V_at)touch $@
1737
1738 # Alias for developers.
1739 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1740
1741 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1742 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1743 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1744 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1745 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1746
1747 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1748 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1749
1750 # igen is a build-time only tool. Override the default rules for it.
1751 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1752 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1753
1754 # Build some of the files in standalone mode for developers of igen itself.
1755 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1756 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1757
1758 site-srcdir.exp: Makefile
1759 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1760
1761 check-DEJAGNU: site.exp
1762 LC_ALL=C; export LC_ALL; \
1763 EXPECT=${EXPECT} ; export EXPECT ; \
1764 runtest=$(RUNTEST); \
1765 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1766 $$runtest $(RUNTESTFLAGS); \
1767 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1768 fi
1769
1770 # These tests are build-time only tools. Override the default rules for them.
1771 testsuite/common/%.o: testsuite/common/%.c
1772 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1773
1774 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1775 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1776
1777 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1778 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1779
1780 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1781 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1782
1783 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1784 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1785
1786 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1787 $(AM_V_GEN)$< 32 0 big > $@.tmp
1788 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1789 $(AM_V_at)mv $@.tmp $@
1790
1791 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1792 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1793
1794 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1795 $(AM_V_GEN)$< 32 31 little > $@.tmp
1796 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1797 $(AM_V_at)mv $@.tmp $@
1798
1799 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1800 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1801
1802 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1803 $(AM_V_GEN)$< 64 0 big > $@.tmp
1804 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1805 $(AM_V_at)mv $@.tmp $@
1806
1807 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1808 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1809
1810 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1811 $(AM_V_GEN)$< 64 63 little > $@.tmp
1812 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1813 $(AM_V_at)mv $@.tmp $@
1814
1815 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1816
1817 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1818 # Otherwise a system limit (for SysV at least) may be exceeded.
1819 .NOEXPORT: